> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Files

> List all files uploaded by the authenticated user



## OpenAPI

````yaml get /connectors/files/list
openapi: 3.0.1
info:
  title: Connectivity API
  description: >
    The Alloy Connectivity API enables you to create and manage MCP (Model
    Context Protocol) servers that provide secure, controlled access to platform
    integrations for AI assistants.
  version: '1.0'
  contact:
    name: Alloy Support
    email: support@runalloy.com
    url: https://runalloy.com
servers:
  - url: https://production.runalloy.com
    description: Production server
security: []
tags:
  - name: Connectors
    description: Get connector details and execute actions
  - name: Credentials
    description: Manage credentials for connectors
  - name: Files
    description: Manage file uploads and downloads
  - name: Users
    description: Manage users
paths:
  /connectors/files/list:
    get:
      tags:
        - Files
      summary: List User Files
      description: List all files uploaded by the authenticated user
      operationId: list-user-files
      parameters:
        - name: x-api-version
          in: header
          required: true
          description: API version
          schema:
            type: string
            default: 2025-09
          example: 2025-09
      responses:
        '200':
          description: List of user files
          content:
            application/json:
              schema:
                type: object
                properties:
                  files:
                    type: array
                    items:
                      type: object
                      properties:
                        s3Key:
                          type: string
                          description: The S3 key of the file
                        filename:
                          type: string
                          description: The filename without the userId prefix
                        size:
                          type: number
                          description: File size in bytes
                        lastModified:
                          type: string
                          format: date-time
                          description: Last modified timestamp
              example:
                files:
                  - s3Key: 651eb6e11d156e0d7a42c59d_document.pdf
                    filename: document.pdf
                    size: 13264
                    lastModified: '2025-10-15T13:22:52.000Z'
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````